on startMovie
  global TinusStatus, MySound
  TinusStatus = #NIETSDOen
  MySound = 1
  if soundBusy(1) = 1 then
    sound stop 1
  end if
  if soundBusy(2) = 1 then
    sound stop 2
  end if
end

on stopMovie
  global MySound
  the actorList = []
  MySound = 1
  if soundBusy(1) = 1 then
    sound stop 1
  end if
  if soundBusy(2) = 1 then
    sound stop 2
  end if
end

on initStandard
  global Direction, MyFlip
  Direction = #right
  MyFlip = 0
  sprite(9).visible = 1
  sprite(19).visible = 0
  sprite(20).visible = 0
  repeat with n = 12 to 14
    sprite(n).member = member(61, 1)
  end repeat
end

on initBackGound Side
  global BackList, MyBottom
  the actorList = []
  MyBottom = 360
  BackList = []
  DisList = [[171, MyBottom], [172, MyBottom], [173, MyBottom], [174, MyBottom]]
  repeat with n = 1 to 30
    if random(5) = 5 then
      add(BackList, new(script("Birds"), n, Side))
    else
      add(BackList, new(script("Stone"), n, getAt(DisList, random(4)), Side))
    end if
    sprite(n + 20).visible = 1
  end repeat
  the actorList = BackList
end

on Run
  MoveBack()
  ControlTinus()
  updateMaaier()
  updateGras()
end

on reset
  global Scrolling, TinusSpr, TinusStatus, MaaierSpr, MaaierStatus, TinusLife, GrasSpr
  sprite(TinusSpr).visible = 0
  if TinusLife > 0 then
    TinusLife = TinusLife - 1
    sprite(12 + TinusLife).member = member(62, 1)
  else
    sprite(TinusSpr).visible = 0
    sprite(MaaierSpr).visible = 0
    sprite(GrasSpr).visible = 0
    sprite(19).visible = 0
    sprite(20).member = member(118, 1)
    sprite(20).visible = 1
    the actorList = []
    repeat with n = 21 to 50
      sprite(n).visible = 0
    end repeat
    updateStage()
    startTimer()
    repeat while the timer < 120
    end repeat
    go(4)
    exit
  end if
  repeat with n = 1 to 10
    MoveBackReset()
    updateStage()
  end repeat
  sprite(TinusSpr).visible = 1
  sprite(MaaierSpr).visible = 1
  sprite(GrasSpr).visible = 1
  sprite(MaaierSpr).loc = sprite(TinusSpr).loc
  DoTinus()
  updateStage()
  startTimer()
  repeat while the timer < 20
  end repeat
  TinusStatus = #normal
  MaaierStatus = #normal
end

on MoveBack
  global Scrolling, Direction
  if Direction = #right then
    repeat with spr = 2 to 3
      if sprite(spr).locH <= (-320 - Scrolling) then
        if spr = 2 then
          sprite(spr).locH = 960 + Scrolling
        else
          if spr = 3 then
            sprite(spr).locH = sprite(2).locH + 640
          end if
        end if
        next repeat
      end if
      sprite(spr).locH = sprite(spr).locH + Scrolling
    end repeat
  else
    if Direction = #left then
      repeat with spr = 2 to 3
        if sprite(spr).locH >= (960 - Scrolling) then
          if spr = 2 then
            sprite(spr).locH = -320 + Scrolling
          else
            if spr = 3 then
              sprite(spr).locH = sprite(2).locH - 640
            end if
          end if
          next repeat
        end if
        sprite(spr).locH = sprite(spr).locH + Scrolling
      end repeat
    end if
  end if
end

on MoveBackReset
  global Scrolling, Direction
  if Direction = #left then
    Scrolling = -15
    repeat with spr = 2 to 3
      if sprite(spr).locH <= (-320 - Scrolling) then
        if spr = 2 then
          sprite(spr).locH = 960 + Scrolling
        else
          if spr = 3 then
            sprite(spr).locH = sprite(2).locH + 640
          end if
        end if
        next repeat
      end if
      sprite(spr).locH = sprite(spr).locH + Scrolling
    end repeat
  else
    if Direction = #right then
      Scrolling = 15
      repeat with spr = 2 to 3
        if sprite(spr).locH >= (960 - Scrolling) then
          if spr = 2 then
            sprite(spr).locH = -320 + Scrolling
          else
            if spr = 3 then
              sprite(spr).locH = sprite(2).locH - 640
            end if
          end if
          next repeat
        end if
        sprite(spr).locH = sprite(spr).locH + Scrolling
      end repeat
    end if
  end if
end

on CuePassed channel, number, name
  global TinusXtraMem, TinusStatus
  if (channel = #Sound2) and ((TinusStatus = #Startright) or (TinusStatus = #StartLeft) or (TinusStatus = #OutScreenRight) or (TinusStatus = #OutScreenLeft)) then
    if value(name) = 1 then
      TinusXtraMem = 12
      startTimer()
    end if
    DoTinus()
    updateStage()
  end if
end
